Subject: bug#29537: Core updates broken

From: [email-masked] (Ludovic Courtès)
Date: Wed, 06 Dec 2017 09:01:20 +0100

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>>> Now, it would be good to do a final update of glibc so we get the fix
>>> for CVE-2017-15804 and a few other things.  Could you upload a new
>>> tarball for glibc-2.26-105-g0890d5379c.tar.xz?  I'm getting
>>> "0m8cnp2nik0596adwibhl0f3w649m57i3qciqwpwiix7y0sb7vhi" for it.
>>
>> I got the same hash but decided to not go with -9 after re-reading
>> xz(1), which discourages its use due to the memory consumption the
>> decompressor needs.
>>
>> The size difference looks reasonable (I used the default, which is -6):
>>
>> --8<---------------cut here---------------start------------->8---
>> -rw-r--r-- 1 ludo users 15683872 Dec  5 18:00 glibc-2.26-105-g0890d5379c.tar.xz
>> -rw-r--r-- 1 ludo users 15309116 Dec  5 18:00 glibc-2.26-105-g0890d5379c.tar.xz-9
>> --8<---------------cut here---------------end--------------->8---
>>
>> The file should be on alpha.gnu.org now.
>
> Thanks!  I got the same hash and pushed an update.  Since this entails a
> full rebuild, I also merged in Guile 2.2.3 and updated that as well.

Excellent, I was going to suggest doing that.  :-)

Thanks!

Ludo’.

PS: Please don’t start an eval today as I’m preparing the release.